For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/mailing/mailing‑rule

get

Get a mailing rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
mailidintegerRequired
ruleidstringRequiredPattern: /^[0-9]+:[0-9]+:[0-9]+$/
Responses
200

success

successbooleanOptionalExample: true
get/api/mailing/mailing-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'mailid' => 1,
		'ruleid' => '1565382548:0:1'
	);

$request = array(
	'method' => 'GET',
	'path' => 'mailing/mailing-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "affiliate_mailing_rule": {
    "mailid": "1",
    "rule_type": "1",
    "identid": "7",
    "mailok": "1",
    "status_compare": ">=",
    "signup": 5,
    "amount": "5",
    "traffic": "100",
    "only_once": "0",
    "trial": "0",
    "start_time": "1565382548",
    "end_time": "0",
    "payment": "0",
    "all_email": "0",
    "start_nice": "2019-08-09 16:29:08",
    "end_nice": "FOREVER",
    "rule_status": 1,
    "advanced": 1,
    "signup_converted": 5,
    "override_identifier_id": [
      "7"
    ],
    "ruleid": "1565382548:0:1",
    "affiliate": {
      "productsupport": "productsupport"
    },
    "rule_type_nice": "SEND",
    "login": [
      {
        "id": "1",
        "name": "productsupport"
      }
    ],
    "program": [
      {
        "id": "1",
        "name": "50% Revshare"
      }
    ],
    "status": [
      {
        "id": "-1",
        "name": "ANY"
      }
    ],
    "signup_compare": [
      {
        "id": "",
        "name": "ANY"
      }
    ],
    "signup_timeframe": [
      {
        "id": 0,
        "name": "Days"
      }
    ],
    "amount_compare": [
      {
        "id": "",
        "name": "ANY"
      }
    ],
    "amount_range": [
      {
        "id": "1",
        "name": "This period"
      }
    ],
    "traffic_compare": [
      {
        "id": "",
        "name": "ANY"
      }
    ],
    "traffic_range": [
      {
        "id": "0",
        "name": "Current day"
      }
    ],
    "signup_nice": "ANY 5 Days",
    "traffic_nice": "ANY 100 Hits Current day",
    "amount_nice": "ANY $5 for This period"
  }
}
post

Add new mailer rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
mailidintegerRequired
rule_typestringRequired
loginstringOptional
optionstringOptional
programstringOptional
sitestringOptional
tourstringOptional
billerstringOptional
mailokstringOptional
trialstringOptional
all_emailstringOptional
statusintegerOptional
status_comparestringOptional
signupintegerOptional
signup_comparestringOptional
signup_timeframeintegerOptional
amountintegerOptional
amount_comparestringOptional
amount_rangeintegerOptional
trafficintegerOptional
traffic_comparestringOptional
traffic_rangeintegerOptional
mailing_list_idintegerOptional
start_timestringOptionalDefault: NOW
end_timestringOptionalDefault: FOREVER
Responses
200

success

successbooleanOptionalExample: true
post/api/mailing/mailing-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'mailid' => 1,
		'rule_type' => 1,
		'login' => '1',
		'program' => '1',
		'mailok' => 1,
		'all_email' => 0,
		'status' => -1,
		'start_time' => 'NOW',
		'end_time' => 'FOREVER',
		'trial' => 0,
		'signup' => 5,
		'amount' => 5,
		'traffic' => 100,
		'amount_range' => 1,
		'traffic_range' => 0
	);

$request = array(
	'method' => 'POST',
	'path' => 'mailing/mailing-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "mailer rule added"
}
delete

Disable mailing rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
mailidintegerRequired
ruleidstringRequiredPattern: /^[0-9]+:[0-9]+:[0-9]+$/
Responses
200

success

successbooleanOptionalExample: true
delete/api/mailing/mailing-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'mailid' => 1,
		'ruleid' => '1565382548:0:1'
	);

$request = array(
	'method' => 'DELETE',
	'path' => 'mailing/mailing-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "mailing rule disabled"
}
patch

Edit mailer rule

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
mailidintegerRequired
ruleidstringRequiredPattern: /^[0-9]+:[0-9]+:[0-9]+$/
rule_typestringRequired
loginstringOptional
optionstringOptional
programstringOptional
sitestringOptional
tourstringOptional
billerstringOptional
mailokstringOptional
trialstringOptional
all_emailstringOptional
statusintegerOptional
status_comparestringOptional
signupintegerOptional
signup_comparestringOptional
signup_timeframeintegerOptional
amountintegerOptional
amount_comparestringOptional
amount_rangeintegerOptional
trafficintegerOptional
traffic_comparestringOptional
traffic_rangeintegerOptional
mailing_list_idintegerOptional
start_timestringOptionalDefault: NOW
end_timestringOptionalDefault: FOREVER
Responses
200

success

successbooleanOptionalExample: true
patch/api/mailing/mailing-rule
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'mailid' => 1,
		'ruleid' => '1565382548:0:1',
		'rule_type' => 1,
		'login' => '1',
		'program' => '1',
		'mailok' => 1,
		'signup' => 100,
		'amount' => 200,
		'traffic' => 1000,
		'start_time' => '2019-06-12',
		'end_time' => '2030-06-12'
	);

$request = array(
	'method' => 'PATCH',
	'path' => 'mailing/mailing-rule',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "mailing rule edited"
}

Last updated

Was this helpful?